For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
      • POSTStart a conversation over Ada's email channel
      • POSTCreate a new conversation
      • GETGet a conversation
      • PATCHUpdate a conversation
      • GETGet conversation messages
      • POSTCreate a new message
      • POSTEnd a conversation
      • POSTEnd Handoff
      • POSTUpload a file attachment
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
ConversationsConversations

Update a conversation

PATCH
https://example.ada.support/api/v2/conversations/:conversation_id/
PATCH
/api/v2/conversations/:conversation_id/
1import requests
2
3url = "https://example.ada.support/api/v2/conversations/conversation_id/"
4
5payload = { "metadata": {
6 "pass": "example_string_value",
7 "initial_url": "https://example.com",
8 "locale": "en-CA",
9 "confidence": 0.95
10 } }
11headers = {
12 "Authorization": "Bearer <token>",
13 "Content-Type": "application/json"
14}
15
16response = requests.patch(url, json=payload, headers=headers)
17
18print(response.json())
1{
2 "id": "5df263b7db5a7e6ea03fae9b",
3 "channel_id": "5df263b7db5a7e6ea03fae9b",
4 "end_user_id": "5df263b7db5a7e6ea03fae9b",
5 "status": "active",
6 "created_at": "2020-09-20T00:00:00+00:00",
7 "updated_at": "2020-09-20T00:00:00+00:00",
8 "metadata": {
9 "pass": "example_string_value",
10 "initial_url": "https://example.com",
11 "locale": "en-CA",
12 "confidence": 0.95
13 }
14}
Update a conversation's metadata by its ID
Was this page helpful?
Previous

Get conversation messages

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

conversation_idstringRequiredformat: "id"
The ID of the conversation to update

Request

This endpoint expects an object.
metadatamap from strings to nullable strings or booleans or integers or doublesRequired

A dictionary of key, value pairs to add to the conversation metadata additively

  • metadata keys may only be of type: string
  • metadata values may only be one of type: string, boolean, integer, or number (float)
  • metadata keys with a null value will be removed from the conversation metadata

Response

Conversation updated
idstringRead-onlyformat: "id"
The ID of the conversation
channel_idstring
The ID of the channel
end_user_idstringformat: "id"
The ID of the end user participating in the conversation
statusenumRead-only
The status of the conversation
Allowed values:
created_atstringRead-only
The date and time the conversation was created
updated_atstringRead-only
The date and time the conversation was last updated
metadatamap from strings to strings or booleans or integers or doubles

A dictionary of key value pairs assigned to the conversation. Note: This metadata does not create or set Ada metavariables. To create or update metavariables, use the End Users API.

  • metadata keys may only be of type: string
  • metadata values may only be one of type: string, boolean, integer, or number (float)

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error